Bug 1180650

Summary: Salt requires an update for kernel 5.10 on non-x86 systems
Product: [openSUSE] openSUSE Tumbleweed Reporter: Guillaume GARDET <guillaume.gardet>
Component: SaltAssignee: Alberto Planas Dominguez <aplanas>
Status: RESOLVED FIXED QA Contact: E-mail List <qa-bugs>
Severity: Normal    
Priority: P2 - High CC: afaerber, aplanas, dmueller, pablo.suarezhernandez
Version: Current   
Target Milestone: ---   
Hardware: aarch64   
OS: Other   
See Also: https://bugzilla.opensuse.org/show_bug.cgi?id=1180408
Whiteboard: reproducer:none
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Guillaume GARDET 2021-01-07 09:34:45 UTC
For non-x86, kernel 5.10 dropped support for long time deprecated /sys/firmware/efi/vars
One should now use /sys/firmware/efi/efivars

So, Salt requires an update for kernel 5.10 on non-x86 systems as some downstream patches still uses the old path: https://github.com/openSUSE/salt/blob/8e952ef34d6df20344a5a00b85647e149b3e15ed/salt/grains/extra.py#L95
Comment 2 Alberto Planas Dominguez 2021-05-06 11:47:12 UTC
Closing for now. I will adapt the changes based on reviews.
Comment 5 Swamp Workflow Management 2021-07-12 19:17:06 UTC
SUSE-RU-2021:2301-1: An update that has 33 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1164192,1167586,1173692,1176512,1179954,1180650,1182810,1183151,1183992,1183994,1184118,1184283,1184330,1184659,1184813,1185015,1185131,1185507,1185522,1185628,1185679,1186016,1186017,1186281,1186287,1186310,1186319,1186325,1186502,1186581,1186653,1186744,1187066
CVE References: 
JIRA References: 
Sources used:
SUSE Manager Server 4.1 (src):    release-notes-susemanager-4.1.9-3.55.1
SUSE Manager Retail Branch Server 4.1 (src):    release-notes-susemanager-proxy-4.1.9-3.38.1
SUSE Manager Proxy 4.1 (src):    release-notes-susemanager-proxy-4.1.9-3.38.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2021-07-12 19:23:49 UTC
SUSE-RU-2021:2300-1: An update that has 35 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1164192,1167586,1173692,1176512,1179954,1180650,1182810,1183151,1183992,1183994,1184118,1184283,1184330,1184659,1184813,1185015,1185131,1185507,1185522,1185628,1185679,1186016,1186017,1186281,1186287,1186310,1186319,1186325,1186502,1186581,1186653,1186704,1186744,1187066,1188113
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for SUSE Manager Server 4.1 (src):    cobbler-3.0.0+git20190806.32c4bae0-5.14.1, mgr-libmod-4.1.9-3.22.1, py27-compat-salt-3000.3-6.6.1, spacecmd-4.1.12-4.21.1, spacewalk-backend-4.1.26-4.35.4, spacewalk-java-4.1.38-3.49.1, spacewalk-search-4.1.5-3.9.1, spacewalk-utils-4.1.17-3.21.1, spacewalk-web-4.1.27-3.27.3, susemanager-4.1.27-3.28.1, susemanager-doc-indexes-4.1-11.37.2, susemanager-docs_en-4.1-11.37.1, susemanager-sls-4.1.29-3.45.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2021-07-12 19:28:41 UTC
SUSE-RU-2021:2300-1: An update that has 35 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1164192,1167586,1173692,1176512,1179954,1180650,1182810,1183151,1183992,1183994,1184118,1184283,1184330,1184659,1184813,1185015,1185131,1185507,1185522,1185628,1185679,1186016,1186017,1186281,1186287,1186310,1186319,1186325,1186502,1186581,1186653,1186704,1186744,1187066,1188113
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for SUSE Manager Server 4.1 (src):    cobbler-3.0.0+git20190806.32c4bae0-5.14.1, mgr-libmod-4.1.9-3.22.1, py27-compat-salt-3000.3-6.6.1, spacecmd-4.1.12-4.21.1, spacewalk-backend-4.1.26-4.35.4, spacewalk-java-4.1.38-3.49.1, spacewalk-search-4.1.5-3.9.1, spacewalk-utils-4.1.17-3.21.1, spacewalk-web-4.1.27-3.27.3, susemanager-4.1.27-3.28.1, susemanager-doc-indexes-4.1-11.37.2, susemanager-docs_en-4.1-11.37.1, susemanager-sls-4.1.29-3.45.1
SUSE Linux Enterprise Module for SUSE Manager Proxy 4.1 (src):    spacecmd-4.1.12-4.21.1, spacewalk-backend-4.1.26-4.35.4, spacewalk-web-4.1.27-3.27.3

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 15 Swamp Workflow Management 2021-08-12 13:19:25 UTC
SUSE-RU-2021:2671-1: An update that has 12 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1164192,1167586,1173103,1173692,1180650,1184659,1185131,1186287,1186310,1187787,1187813,1188170
CVE References: 
JIRA References: 
Sources used:
SUSE Manager Server 4.0 (src):    salt-3002.2-42.1
SUSE Manager Retail Branch Server 4.0 (src):    salt-3002.2-42.1
SUSE Manager Proxy 4.0 (src):    salt-3002.2-42.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    salt-3002.2-42.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    salt-3002.2-42.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    salt-3002.2-42.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    salt-3002.2-42.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    salt-3002.2-42.1
SUSE Enterprise Storage 6 (src):    salt-3002.2-42.1
SUSE CaaS Platform 4.0 (src):    salt-3002.2-42.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 16 Swamp Workflow Management 2021-08-12 13:30:09 UTC
SUSE-RU-2021:2665-1: An update that has 31 recommended fixes can now be installed.

Category: recommended (low)
Bug References: 1164192,1167586,1173692,1180650,1182769,1182817,1183151,1184659,1185131,1185679,1186025,1186287,1186310,1186502,1186650,1186744,1187065,1187397,1187441,1187451,1187593,1187621,1187660,1187787,1187813,1187963,1188073,1188170,1188289,1188297,1188395
CVE References: 
JIRA References: 
Sources used:
SUSE Manager Server 4.2 (src):    release-notes-susemanager-4.2.1-3.6.1
SUSE Manager Retail Branch Server 4.2 (src):    release-notes-susemanager-proxy-4.2.1-3.6.1
SUSE Manager Proxy 4.2 (src):    release-notes-susemanager-proxy-4.2.1-3.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 17 Swamp Workflow Management 2021-08-12 13:36:38 UTC
SUSE-RU-2021:14779-1: An update that has 13 recommended fixes and contains one feature can now be installed.

Category: recommended (moderate)
Bug References: 1164192,1167586,1173103,1173692,1180650,1184659,1185131,1186287,1186310,1186581,1187787,1187813,1188170
CVE References: 
JIRA References: ECO-3319
Sources used:

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 18 Swamp Workflow Management 2021-08-12 13:39:20 UTC
SUSE-RU-2021:2669-1: An update that has 12 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1164192,1167586,1173103,1173692,1180650,1184659,1185131,1186287,1186310,1187787,1187813,1188170
CVE References: 
JIRA References: 
Sources used:
SUSE MicroOS 5.0 (src):    salt-3002.2-43.1
SUSE Linux Enterprise Module for Transactional Server 15-SP2 (src):    salt-3002.2-43.1
SUSE Linux Enterprise Module for Server Applications 15-SP2 (src):    salt-3002.2-43.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    salt-3002.2-43.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 19 Swamp Workflow Management 2021-08-12 13:41:36 UTC
SUSE-RU-2021:2663-1: An update that has 11 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1164192,1167586,1180650,1184659,1185131,1186287,1186310,1186674,1187787,1187813,1188170
CVE References: 
JIRA References: 
Sources used:
SUSE Manager Tools 12 (src):    salt-3000-46.145.1
SUSE Linux Enterprise Module for Advanced Systems Management 12 (src):    salt-3000-46.145.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 20 Swamp Workflow Management 2021-08-12 13:45:16 UTC
SUSE-RU-2021:2676-1: An update that has 32 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1164192,1167586,1173692,1180650,1182769,1182817,1183151,1184659,1185131,1185679,1186025,1186287,1186310,1186502,1186650,1186744,1187065,1187397,1187441,1187451,1187593,1187621,1187660,1187787,1187813,1187963,1188073,1188170,1188289,1188297,1188395,1188900
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for SUSE Manager Server 4.2 (src):    cobbler-3.1.2-5.3.1, mgr-libmod-4.2.6-3.3.1, mgr-osad-4.2.6-2.3.1, mgr-push-4.2.3-2.3.1, prometheus-exporters-formula-1.0.2-3.3.1, prometheus-formula-0.4.1-3.3.1, py26-compat-salt-2016.11.10-7.14.6.1, py27-compat-salt-3000.3-7.7.5.1, rhnlib-4.2.4-4.3.1, spacecmd-4.2.11-4.3.1, spacewalk-admin-4.2.8-3.3.1, spacewalk-backend-4.2.15-4.3.1, spacewalk-branding-4.2.11-3.3.1, spacewalk-certs-tools-4.2.11-3.3.1, spacewalk-client-tools-4.2.12-4.3.1, spacewalk-java-4.2.27-3.8.1, spacewalk-reports-4.2.5-3.3.1, spacewalk-search-4.2.5-3.3.1, spacewalk-setup-4.2.7-3.3.1, spacewalk-utils-4.2.12-3.3.1, spacewalk-web-4.2.20-3.3.2, suseRegisterInfo-4.2.4-4.3.1, susemanager-4.2.21-3.3.1, susemanager-doc-indexes-4.2-12.3.1, susemanager-docs_en-4.2-12.3.1, susemanager-schema-4.2.16-3.3.1, susemanager-sls-4.2.15-3.3.1, susemanager-sync-data-4.2.7-3.3.1, susemanager-tftpsync-4.2.3-3.3.1, uyuni-common-libs-4.2.5-3.3.1
SUSE Linux Enterprise Module for SUSE Manager Proxy 4.2 (src):    mgr-cfg-4.2.3-2.3.1, mgr-custom-info-4.2.2-2.3.1, mgr-osad-4.2.6-2.3.1, mgr-push-4.2.3-2.3.1, rhnlib-4.2.4-4.3.1, spacecmd-4.2.11-4.3.1, spacewalk-backend-4.2.15-4.3.1, spacewalk-certs-tools-4.2.11-3.3.1, spacewalk-client-tools-4.2.12-4.3.1, spacewalk-oscap-4.2.2-4.3.1, spacewalk-proxy-4.2.6-3.3.1, spacewalk-proxy-installer-4.2.5-3.3.1, spacewalk-web-4.2.20-3.3.2, suseRegisterInfo-4.2.4-4.3.1, uyuni-common-libs-4.2.5-3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 21 Swamp Workflow Management 2021-08-12 13:51:40 UTC
SUSE-RU-2021:14778-1: An update that has 13 recommended fixes and contains one feature can now be installed.

Category: recommended (moderate)
Bug References: 1164192,1167586,1173103,1173692,1180650,1184659,1185131,1186287,1186310,1186581,1187787,1187813,1188170
CVE References: 
JIRA References: ECO-3319
Sources used:

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 22 Swamp Workflow Management 2021-08-12 13:57:50 UTC
SUSE-RU-2021:2661-1: An update that has 13 recommended fixes and contains one feature can now be installed.

Category: recommended (moderate)
Bug References: 1164192,1167586,1173103,1173692,1180650,1184659,1185131,1186287,1186310,1186581,1187787,1187813,1188170
CVE References: 
JIRA References: ECO-3319
Sources used:

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 23 Swamp Workflow Management 2021-08-12 14:00:23 UTC
openSUSE-RU-2021:2668-1: An update that has 13 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1164192,1167586,1173103,1173692,1180650,1184659,1185131,1186287,1186310,1186642,1187787,1187813,1188170
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    salt-3002.2-50.1.9.1
Comment 24 Swamp Workflow Management 2021-08-12 14:02:58 UTC
SUSE-RU-2021:2659-1: An update that has 13 recommended fixes and contains one feature can now be installed.

Category: recommended (moderate)
Bug References: 1164192,1167586,1173692,1180650,1184659,1185131,1186287,1186310,1186581,1186674,1187787,1187813,1188170
CVE References: 
JIRA References: ECO-3319
Sources used:

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 25 Swamp Workflow Management 2021-08-12 14:05:48 UTC
SUSE-RU-2021:2668-1: An update that has 13 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1164192,1167586,1173103,1173692,1180650,1184659,1185131,1186287,1186310,1186642,1187787,1187813,1188170
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Transactional Server 15-SP3 (src):    salt-3002.2-50.1.9.1
SUSE Linux Enterprise Module for Server Applications 15-SP3 (src):    salt-3002.2-50.1.9.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    salt-3002.2-50.1.9.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 26 Swamp Workflow Management 2021-08-12 14:08:31 UTC
SUSE-RU-2021:2666-1: An update that has 12 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1164192,1167586,1173103,1173692,1180650,1184659,1185131,1186287,1186310,1187787,1187813,1188170
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    salt-3002.2-8.41.11.2
SUSE Linux Enterprise Server 15-LTSS (src):    salt-3002.2-8.41.11.2
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    salt-3002.2-8.41.11.2
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    salt-3002.2-8.41.11.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 27 Swamp Workflow Management 2021-08-14 10:17:39 UTC
openSUSE-RU-2021:1153-1: An update that has 12 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1164192,1167586,1173103,1173692,1180650,1184659,1185131,1186287,1186310,1187787,1187813,1188170
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    salt-3002.2-lp152.3.39.1
Comment 30 Swamp Workflow Management 2021-12-03 14:20:12 UTC
SUSE-SU-2021:3901-1: An update that solves one vulnerability, contains four features and has 26 fixes is now available.

Category: security (moderate)
Bug References: 1164192,1167586,1168327,1173103,1173692,1180650,1181223,1184659,1185131,1186287,1186310,1186581,1186674,1186738,1187787,1187813,1188042,1188170,1188259,1188647,1188977,1189040,1190265,1190446,1190512,1191412,1191431
CVE References: CVE-2021-21996
JIRA References: ECO-3212,ECO-3319,SLE-18028,SLE-18033
Sources used:

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 31 Swamp Workflow Management 2021-12-03 14:32:27 UTC
SUSE-SU-2021:3906-1: An update that solves one vulnerability and has 19 fixes is now available.

Category: security (moderate)
Bug References: 1164192,1167586,1168327,1180650,1184659,1185131,1186287,1186310,1186674,1187787,1187813,1188170,1188641,1188647,1189040,1189043,1190114,1190265,1190446,1191412
CVE References: CVE-2021-21996
JIRA References: 
Sources used:
SUSE Manager Tools 12-BETA (src):    python-Jinja2-2.8-22.5.1, python-MarkupSafe-0.23-6.5.1, python-PyYAML-5.1.2-29.5.1, python-msgpack-python-0.4.6-11.5.1, python-psutil-5.2.2-18.5.1, python-pycrypto-2.6.1-13.5.1, python-pyzmq-14.0.0-12.5.1, python-singledispatch-3.4.0.3-4.8.1, salt-3000-49.38.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 32 Swamp Workflow Management 2021-12-03 14:43:46 UTC
SUSE-SU-2021:3903-1: An update that solves one vulnerability, contains four features and has 26 fixes is now available.

Category: security (moderate)
Bug References: 1164192,1167586,1168327,1173103,1173692,1180650,1181223,1184659,1185131,1186287,1186310,1186581,1186674,1186738,1187787,1187813,1188042,1188170,1188259,1188647,1188977,1189040,1190265,1190446,1190512,1191412,1191431
CVE References: CVE-2021-21996
JIRA References: ECO-3212,ECO-3319,SLE-18028,SLE-18033
Sources used:

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 33 Swamp Workflow Management 2021-12-03 14:56:28 UTC
SUSE-SU-2021:3902-1: An update that solves one vulnerability, contains four features and has 26 fixes is now available.

Category: security (moderate)
Bug References: 1164192,1167586,1168327,1173103,1173692,1180650,1181223,1184659,1185131,1186287,1186310,1186581,1186674,1186738,1187787,1187813,1188042,1188170,1188259,1188647,1188977,1189040,1190265,1190446,1190512,1191412,1191431
CVE References: CVE-2021-21996
JIRA References: ECO-3212,ECO-3319,SLE-18028,SLE-18033
Sources used:

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 34 Swamp Workflow Management 2021-12-03 15:01:25 UTC
SUSE-SU-2021:3908-1: An update that solves 6 vulnerabilities, contains four features and has 27 fixes is now available.

Category: security (moderate)
Bug References: 1164192,1167586,1168327,1170823,1173103,1173692,1175478,1180650,1181223,1184659,1185131,1186242,1186287,1186310,1186508,1186581,1186650,1186674,1186738,1187787,1187813,1188042,1188170,1188259,1188647,1188846,1188977,1189040,1190265,1190446,1190512,1191412,1191448
CVE References: CVE-2021-21996,CVE-2021-27962,CVE-2021-28146,CVE-2021-28147,CVE-2021-28148,CVE-2021-29622
JIRA References: ECO-3212,SLE-18028,SLE-18033,SLE-18254
Sources used:
SUSE Manager Tools 15-BETA (src):    dracut-saltboot-0.1.1628156312.dbd0dec-3.27.1, golang-github-prometheus-prometheus-2.27.1-6.21.2, grafana-7.5.7-4.15.3, hwdata-0.334-6.5.1, koan-3.0.1-7.12.1, mgr-cfg-4.3.2-4.15.1, mgr-custom-info-4.3.2-4.9.1, mgr-daemon-4.3.2-4.15.2, mgr-osad-4.3.2-4.18.2, mgr-push-4.3.1-4.9.3, mgr-virtualization-4.3.1-4.9.3, prometheus-blackbox_exporter-0.19.0-3.3.2, python-contextvars-2.4-3.3.1, python-hwdata-2.3.5-5.7.1, python-immutables-0.11-3.3.1, python-jabberpy-0.5-5.5.1, rhnlib-4.3.1-6.18.2, salt-3003.3-8.44.1, spacecmd-4.3.4-6.27.1, spacewalk-client-tools-4.3.4-6.33.3, spacewalk-koan-4.3.1-6.9.2, spacewalk-oscap-4.3.1-6.9.2, spacewalk-remote-utils-4.3.1-6.9.2, supportutils-plugin-susemanager-client-4.3.1-6.12.2, suseRegisterInfo-4.3.1-6.15.2, system-user-grafana-1.0.0-3.5.1, system-user-prometheus-1.0.0-3.5.1, uyuni-common-libs-4.3.1-3.21.2, zypp-plugin-spacewalk-1.0.10-6.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 35 Swamp Workflow Management 2021-12-03 15:06:33 UTC
SUSE-SU-2021:3904-1: An update that solves one vulnerability, contains one feature and has 26 fixes is now available.

Category: security (moderate)
Bug References: 1164192,1167586,1168327,1173692,1180650,1181223,1184659,1185131,1186287,1186310,1186581,1186674,1187787,1187813,1188042,1188170,1188641,1188647,1188977,1189040,1189043,1190114,1190265,1190446,1190512,1191412,1191431
CVE References: CVE-2021-21996
JIRA References: ECO-3319
Sources used:

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.